# PhasicFlow: src/Interaction/sphereInteraction/boundaries/createBoundarySphereInteraction.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

createBoundarySphereInteraction.hpp File Reference
Include dependency graph for createBoundarySphereInteraction.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Macros

#define | createBoundarySphereInteraction(ForceModel, GeomModel)

## Macro Definition Documentation

## createBoundarySphereInteraction

#define createBoundarySphereInteraction | ( |  | ForceModel,
|  |  | GeomModel
| ) |  |

Value:
template class pFlow::boundarySphereInteraction< \
ForceModel, \
GeomModel>; \
\
template class pFlow::periodicBoundarySphereInteraction< \
ForceModel, \
GeomModel>;

Definition at line 23 of file createBoundarySphereInteraction.hpp.

pFlow::periodicBoundarySphereInteraction
Definition: periodicBoundarySphereInteraction.hpp:30
pFlow::boundarySphereInteraction
Definition: boundarySphereInteraction.hpp:32